Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.extensions.resolution
Interface ContentPageResolutionResponse

    public interface ContentPageResolutionResponse

The `ContentPageResolutionResponse` is passed to the resolve method of the `ContentPageResolutionFilter`. It enables filters to read and write information used to control the resolution, for example:

- The content that should be rendered addressed by the path in the web content library.
- The page that should be used to render the content.
- The presentation template used to render the content.

Since:
  7.0
Note:

  This interface is designed to be implemented by clients.

Method Summary
`java.util.List<ObjectID>` | `getCandidatePageIds()` Returns an unmodifiable `List` of candidate Portal pages that should be used to resolve a Portal page.
`java.lang.String` | `getContentPath()` Returns the path of the content to be rendered after the resolution process.
`ObjectID` | `getPageID()` Returns the `ObjectID` of the currently resolved Portal page that is to be displayed when rendering the content identified by `getContentPath()`.
`java.lang.String` | `getPresentationTemplatePath()` Returns the path of the presentation template previously set via `setPresentationTemplatePath(String)`.
`java.util.Map<java.lang.String,java.lang.String[]>` | `getResolutionResponseParameters()` Returns any additional context parameters that are required to perform the resolution.
`boolean` | `isAuthenticationRequired()` Returns `true` if and only if the following conditions are met: The user is not authenticated yet. The filter chain has not determined a Portal page to show, that is, `getPageID()` returns `null`. The filter chain might return a Portal page for an authenticated user, that is, there are matching Portal pages but the anonymous user is not authorised to access them.
`void` | `setAuthenticationRequired(boolean requiresAuthentication)` Indicates that no Portal pages were found to handle the content for the anonymous user, but protected Portal pages were found that might be available to an authenticated user to render the addressed content.
`void` | `setCandidatePageIds(java.util.List<ObjectID> pages)` Sets the list of candidate Portal pages that must be used to determine the resolved Portal page from.
`void` | `setContentPath(java.lang.String contentPath)` Sets the path of the content to be rendered after the resolution process.
`void` | `setPageID(ObjectID pageId)` Sets the `ObjectID` of the Portal page that should be invoked to render the given content after the resolution process.
`void` | `setPresentationTemplatePath(java.lang.String templatePath)` Sets the path of the presentation template to be used when rendering the addressed content after the resolution process.

Method Detail

### getContentPath

    java.lang.String getContentPath()

  Returns the path of the content to be rendered after the resolution process.

  Returns:
    the content that should be rendered after resolution

### setContentPath

    void setContentPath(java.lang.String contentPath)

  Sets the path of the content to be rendered after the resolution process. This only needs to be called if overriding or changing the previously determined content path.

  Parameters:
    `contentPath` - the path of the content to render

### getPresentationTemplatePath

    java.lang.String getPresentationTemplatePath()

  Returns the path of the presentation template previously set via `setPresentationTemplatePath(String)`.

  Returns:
    the path of the presentation template or `null`

### setPresentationTemplatePath

    void setPresentationTemplatePath(java.lang.String templatePath)

  Sets the path of the presentation template to be used when rendering the addressed content after the resolution process. Enables a `ContentPageResolutionFilter` to modify or override the presentation template.

  Parameters:
    `templatePath` - the path of the presentation template in the form `<libraryName>/<presentationTemplateName>`

### getPageID

    ObjectID getPageID()

  Returns the `ObjectID` of the currently resolved Portal page that is to be displayed when rendering the content identified by `getContentPath()`.

  Returns:
    the `ObjectID` of the Portal page to be used to render the content or `null` if none has been determined yet

### setPageID

    void setPageID(ObjectID pageId)

  Sets the `ObjectID` of the Portal page that should be invoked to render the given content after the resolution process.

  Parameters:
    `pageId` - the ID of the Portal page to be used to render the content

### getCandidatePageIds

    java.util.List<ObjectID> getCandidatePageIds()

  Returns an unmodifiable `List` of candidate Portal pages that should be used to resolve a Portal page. If this method returns a non-empty `List` it must be guaranteed that in case a resolved Portal page was determined as defined by `getPageID()` that the ID of this Portal page is contained in this `List`.

  Returns:
    the unmodifiable `List` of IDs of candidate Portal pages or `null`

### setCandidatePageIds

    void setCandidatePageIds(java.util.List<ObjectID> pages)

  Sets the list of candidate Portal pages that must be used to determine the resolved Portal page from.

  Parameters:
    `pages` - the `List` of IDs of candidate pages pages or `null`

### getResolutionResponseParameters

    java.util.Map<java.lang.String,java.lang.String[]> getResolutionResponseParameters()

  Returns any additional context parameters that are required to perform the resolution. Unlike `ContentPageResolutionRequest.getResolutionParameters()` this `Map` is modifiable. The parameters from this `Map` can be used in the final dispatching of the request.

  Returns:
    the `Map` containing additional resolution parameters

### isAuthenticationRequired

    boolean isAuthenticationRequired()

  Returns `true` if and only if the following conditions are met:
  - The user is not authenticated yet.
  - The filter chain has not determined a Portal page to show, that is, `getPageID()` returns `null`.
  - The filter chain might return a Portal page for an authenticated user, that is, there are matching Portal pages but the anonymous user is not authorised to access them.

  Returns:
    `true` if at least one protected Portal page but no unprotected Portal page is available to render the content

### setAuthenticationRequired

    void setAuthenticationRequired(boolean requiresAuthentication)

  Indicates that no Portal pages were found to handle the content for the anonymous user, but protected Portal pages were found that might be available to an authenticated user to render the addressed content.

  Parameters:
    `requiresAuthentication` - `true` if there are protected Portal pages available to render the addressed content

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD